## Apache Zeta Components Manual :: Docs For Class ezcPersistentMultiManager

### PersistentObject::ezcPersistentMultiManager

### Class ezcPersistentMultiManager

Makes it possible to fetch persistent object definitions from several sources.

The multimanager will try each of the provided ezcPersistentDefinitionManagers to locate a valid definition for a class.

For best performance add the managers which are most likely to contain the definitions first.

Source for this file: /PersistentObject/src/managers/multi_manager.php

    ezcPersistentDefinitionManager
       |
       --ezcPersistentMultiManager

Version: | //autogen//

### Method Summary

public ezcPersistentMultiManager | `__construct( [ $managers = array()] )` Constructs a new multimanager that will look for persistent object definitions in all $managers.
public void | `addManager( $manager )` Adds a manager that can provide persistent object definitions.
public ezcPersistentDefinition | `fetchDefinition( $class )` Returns the definition of the persistent object with the class $class.

### Inherited Methods

From ezcPersistentDefinitionManager
public abstract ezcPersistentObjectDefinition | `ezcPersistentDefinitionManager::fetchDefinition()` Returns the definition of the persistent object with the class $class.
protected static ezcPersistentObjectDefinition | `ezcPersistentDefinitionManager::setupReversePropertyDefinition()` Returns the definition $def with the reverse relations field correctly set up.

### Methods

#### __construct

ezcPersistentMultiManager __construct( [ $managers = array()] )

Constructs a new multimanager that will look for persistent object definitions in all $managers.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$managers` | array(ezcPersistentDefinitionManager) |

#### addManager

void addManager( ezcPersistentDefinitionManager $manager )

Adds a manager that can provide persistent object definitions.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$manager` | ezcPersistentDefinitionManager |

#### fetchDefinition

ezcPersistentDefinition fetchDefinition( string $class )

Returns the definition of the persistent object with the class $class.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcPersistentDefinitionNotFoundException` | if no such definition can be found.

##### Redefinition of:

Method | Description
--- | ---
`ezcPersistentDefinitionManager::fetchDefinition()` | Returns the definition of the persistent object with the class $class.

Documentation generated by phpDocumentor 1.4.3